Summary: CGI-FormMagick module for perl
%define name perl-CGI-FormMagick
%define version 0.92
%define release 9
Name: %{name}
Version: %{version}
Release: %smerelease %{release}
Packager: %{_packager}
License: distributable
Group: Applications/CPAN
Source0: perl-CGI-FormMagick-%{version}.tar.gz
Patch0: perl-CGI-FormMagick-0.92-password_validation.patch
Patch1: perl-CGI-FormMagick-0.92-password_validation2.patch
Patch2: perl-CGI-FormMagick-0.92-quotemeta.patch
Patch3: perl-CGI-FormMagick-0.92-textarea.patch
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-CGI-FormMagick-buildroot/
BuildArchitectures: noarch
BuildRequires: perl
Requires: perl perl(XML::Parser) expat
Requires: perl(CGI::Persistent)
Requires: perl(Class::ParamParser) perl(I18N::LangTags)
Requires: perl(Text::Iconv)
Requires: perl(Text::Template)
Requires: perl(Mail::RFC822::Address)
Provides: perl(ArbitraryPackage)
Provides: perl(CGI::FormMagick) = %{version}-%{release}
Provides: perl(CGI::FormMagick::Sub)
Provides: perl(CGI::FormMagick::TagMaker) = 1.01
Provides: perl(CGI::FormMagick::Validator)
Autoreq: no

%description
FormMagick is a Perl module which enables XML descriptions to be used
to generate HTML wizard-like forms.  It has support for I18N/L10N.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLSITELIB=%{_prefix}/lib/perl5/site_perl
%{__make}

%clean
rm -rf $RPM_BUILD_ROOT

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > CGI-FormMagick-%{version}-filelist

%files -f CGI-FormMagick-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Aug 22 2006 Charlie Brady <charlie_brady@mitel.com> 0.92-08
- Allow initializer of textarea form widgets. [SME: 1088]

* Mon May 01 2006 Charlie Brady <charlie_brady@mitel.com> 0.92-07
- Fix quoting of metachars in subst during inputbox output. [SME: 1352]

* Wed Jan 25 2006 Mark Knox <mark_knox@mitel.com> 0.92-06
- Added a missing brace in previous fix [SME: 463]

* Fri Jan 13 2006 Charlie Brady <charlieb@e-smith.com> 0.92-05
- Fix password validation check to include _ as non-alpha. [SME: 463]

* Thu Dec 15 2005 Charlie Brady <charlieb@e-smith.com> 0.92-04
- Build into /usr/lib/perl5/site_perl so that RPM can be installed
  on either 6.x or 7.x.

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 0.92-03
- Bump release number only

* Tue Nov 29 2005 Charlie Brady <charlieb@e-smith.com>
- [0.92-02]
- Test rebuild after CVS synchronisation.

* Mon Oct 31 2005 Mark Knox <mark_knox@mitel.com>
- [0.92-01]
- Imported to ClearCase, bumped version [markk MN00103900]
- Remove generated files Makefile and t/embedded*
- Add BuildRequires: perl => 5.8

* Thu Oct 27 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-30]
- Avoid warning messages if we try to trim whitespace around $field->{id} when
  it isn't defined.  [SF: 1227604]

* Mon Oct  3 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-29]
- Fix colspan attributes in display_fields(). [SF: 1309359]

* Mon Sep  5 2005 Tony Clayton <apc@e-smith.com>
- [0.91-28]
- s/Copyright/License/ in rpm headers
- Fix subroutine element handling in Validator.pm to fix barrage of logfile
  warnings
- Move sessiondir,cgi object initialization from display() to new()
- Remove deprecated sessiondir(),munge_fm_obj() methods 

* Tue Jul 19 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-27]
- Validation fixes from Shad Lords:
  - Change static strings to TAGS (for L10N)
  - Fix ip_check to actually check value
- Update Provides header to specify version and release

* Tue May 24 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-26]
- Don't allow rpm to auto calculate perl module dependencies -
  it gets them wrong sometimes [SF: 1205965]

* Fri May 20 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-25]
- Apply options parsing fix (from Gordon, SF:1205448)

* Tue May 17 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-24]
- Remove POD references to unimplemented validation-error-message.

* Tue Mar 29 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-23]
- Add patch contributed by Shad Lords to allow multi-select.

* Tue Mar 29 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-22]
- Add patch contributed by Shad Lords to be more flexible about
  whitespace in validator lists.

* Tue Mar 29 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-21]
- Make sure we don't leave unpackaged files in our buildroot.

* Tue Mar 29 2005 Charlie Brady <charlieb@e-smith.com>
- [0.91-20]
- Update build and install sections, to allow correct building under CentOS.

* Wed Oct 20 2004 Sean Bradbury <bradbury@e-smith.com>
- [0.91-19]
- Updated requires to remove wrong requires. [bradbury MN00053465]

* Tue Sep 28 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-18]
- Updated requires with new perl dependencies. [msoulier MN00040240]
- Added additional headers to ensure no caching. [msoulier MN00044704]

* Fri Sep  3 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-17]
- Updated requires with new perl dependencies. [msoulier MN00040240]
- Fixed http header to include expiry to prevent browser caching.
  [msoulier MN00044704]

* Sat Aug 21 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-16]
- Fixed poor subroutine detection in get_sub(). [msoulier MN00037832]

* Tue Aug  3 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-15]
- Added an automatic trim of leading and trailing whitespace for all field
  params during validation, unless a new field attribute of "notrim" evals to
  true. [msoulier MN00042751]

* Thu Jul 15 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-14]
- Added conditional widgets to FormMagick. fields now support a "display"
  callback, which, if false, prevents the field from being displayed or
  validated. [msoulier MN00037809]

* Thu Jul 15 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-13]
- Updated use of CGI::FormMagick::Sub, such that a calling package is no
  longer required. The object will be searched for methods by default.
  [msoulier MN00037832]

* Wed Jul 14 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-12]
- Catch cases where non-existant subroutines are called, and throw a fatal
  exception with a backtrace. [msoulier MN00042272]

* Tue Jul 13 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-11]
- s/novalidate/nopost, and also prevented the post-event from running if
  nopost is set. [msoulier MN00040161]

* Tue Jul 13 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-10]
- Added novalidate method, and a hook to it in prepare_for_next_page, so
  setting a novalidate param will prevent the current page from being
  validated. Useful for navigational links. [msoulier MN00040161]

* Mon May 10 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-09]
- Forward-port of dcr-30134, adding the menu attribute to the page tag.
  [msoulier MN00030134]

* Wed Jan 28 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-08]
- Fixed weak pattern matching in CGI::FormMagick::Validator::Basic::number.
  [msoulier 9039]

* Mon Jan  5 2004 Michael Soulier <msoulier@e-smith.com>
- [0.91-07]
- Fixed bad enctype in forms definition. [msoulier 10699]

* Wed Nov 19 2003 Michael Soulier <msoulier@e-smith.com>
- [0.91-06]
- Rolled back change in 0.91-03, as it broke the ibays panel. [msoulier 9404]

* Wed Oct 22 2003 Michael Soulier <msoulier@e-smith.com>
- [0.91-05]
- Updated get_lexicon to merge available language lexicon in reverse order to
  the preferred languages, so the fallback languages work when the primary is
  not available. [msoulier 10397]

* Fri Sep  5 2003 Tony Clayton <apc@e-smith.com>
- [0.91-04]
- Added munge_fm_obj() hook to FormMagick.pm [tonyc 9924]

* Wed Sep  3 2003 Michael Soulier <msoulier@e-smith.com>
- [0.91-03]
- Moved the parse_xml() call, and the CGI::Persistent object creation, to the
  constructor where they belong. [msoulier 9404]

* Wed Sep  3 2003 Michael Soulier <msoulier@e-smith.com>
- [0.91-02]
- Fixed bug in handling of literal widgets. [msoulier 8671]

* Wed Sep  3 2003 Michael Soulier <msoulier@e-smith.com>
- [0.91-01]
- rolling to dev stream - 0.91

* Wed Sep  3 2003 Michael Soulier <msoulier@e-smith.com>
- [0.90-01]
- rolling to stable stream - 0.90

* Tue Jun 24 2003 Tony Clayton <apc@e-smith.com>
- [0.89-06]
- Fix TagMaker to allow input fields with value="0" [tonyc 9134]

* Tue May  6 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-05]
- Fixed bad handling of literal widgets. [msoulier 8671]

* Tue May  6 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-04]
- Fixed position of the skip_header check so that it's after the establishment
  of the page number. Otherwise, the page number defaults and the wrong
  post-event is executed. [msoulier 8637]

* Fri May  2 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-03]
- Added support for a skip_header parameter, to force the display method to
  give complete control over the HTTP response to the post-event.
  [msoulier 8637]

* Thu Feb 20 2003 Mark Knox <markk@e-smith.com>
- [0.89-02]
- Allow for dynamic field types using a subroutine call [markk 6735]

* Wed Feb 05 2003 Mark Knox <m_knox@mitel.com>
- [0.89-01]
- Changed author details in Makefile.PL.
- Rolled to v0.89

* Wed Feb 05 2003 Mark Knox <m_knox@mitel.com>
- [0.88-01]
- Rolled up changes from 0.87-01 to 0.87-14es into 0.88 and released to
  SourceForge & CPAN

* Sat Jan 25 2003 Mike Dickson <miked@e-smith.com>
- [0.87-15es]
- removed debugging statements from HTML.pm [miked 6617]

* Tue Jan 14 2003 Mark Knox <markk@e-smith.com>
- [0.87-14es]
- Changed DTD and input field sub to allow "rows" and "cols" args on
  textarea fields, removed size arg on same. [markk 3620]

* Fri Dec 27 2002 Mike Dickson <miked@e-smith.com>
- [0.87-13es]
- removed debugging comments [miked 5494]

* Mon Dec 16 2002 Mike Dickson <miked@e-smith.com>
- [0.87-12es]
- ui updates [miked 5494]

* Tue Dec 10 2002 Michael Soulier <msoulier@e-smith.com>
- [0.87-11es]
- Forgot the dependency on the new module. [msoulier 3388]

* Tue Dec 10 2002 Michael Soulier <msoulier@e-smith.com>
- [0.87-10es]
- Tightened the check in email_simple() by adding use of the
  Mail::RFC822::Address module. [msoulier 3388]

* Mon Dec  2 2002 Mike Dickson <miked@e-smith.com>
- [0.87-09es]
- ui update  [miked 5494]

* Fri Nov 22 2002 Mike Dickson <miked@e-smith.com>
- [0.87-08es]
- update to use new UI elements [miked 5806]

* Fri Nov 22 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.87-07es]
- Re-import from latest SRPM so it looks like a cvs2rpm package [gordonr 5806]

* Thu Oct 03 2002 Mark Knox <markk@e-smith.com>
- [0.87-06es]
- Removed a stray line from a previous patch that was causing breakage
  [markk 4423]

* Mon Sep 30 2002 Mark Knox <markk@e-smith.com>
- [0.87-05es]
- Improved blank-trimming regexes [markk 4423]

* Wed Aug 28 2002 Mark Knox <markk@e-smith.com>
- [0.87-04es]
- Move blank trimming code inside conditional to eliminate warnings [markk
  4607]

* Fri Aug 16 2002 Mark Knox <markk@e-smith.com>
- [0.87-03es]
- Security fix: do not pass full path on session token filename [markk 4652]

* Mon Jul 22 2002 Mark Knox <markk@e-smith.com>
- [0.87-02es]
- Patch to trim blank space from start/end of translations [markk 4423]

* Mon Jul 22 2002 Mark Knox <markk@e-smith.com>
- [0.87-01es]
- Added "es" suffix. First local build (same as 0.87-01) [markk 4422]

* Mon Jun 24 2002 Kirrily Robert <skud@e-smith.com>
- [0.87-01]
- Fixed a minor HTML bug (missing > symbol) which was causing problems
  with the output of validation error messages. [skud 3807]

* Mon Jun 24 2002 Kirrily Robert <skud@e-smith.com>
- [0.86]
- Added get_validation_attribute() routine to make it possible to do the 
  nopipes validation forcing in esmith::FormMagick [skud 3807]

* Sun Jun 02 2002 Gordon Rowell <gordonr@e-smith.com>
- Place the "nopipes" validator before all others. We never want to
  allow pipes in fields for e-smith databases. This may be able to
  be done at the esmith::FormMagick level, but this works for now.
  [gordonr 3752]

* Wed May 29 2002 Kirrily Robert <skud@e-smith.com>
- [0.85-01]
- Fixed charset bug for text fields that come from subroutines [skud
  3677]

* Thu May 16 2002 Kirrily Robert <skud@e-smith.com>
- [0.84-02]
- Messed it up, had to repackage. [skud #3390]

* Thu May 16 2002 Kirrily Robert <skud@e-smith.com>
- [0.84-01]
- Fixed select box charset problem [skud #3390]

* Mon May 13 2002 Kirrily Robert <skud@e-smith.com>
- [0.83-01]
- Various minor bugfixes etc [skud #3339, #3371, #3390, #3405]

* Tue May 07 2002 Kirrily Robert <skud@e-smith.com>
- [0.82-02]
- Added dependency on Text::Template 1.40 or higher [skud #3371]

* Tue May 07 2002 Kirrily Robert <skud@e-smith.com>
- [0.82-01]
- Fixed up various warnings that were thrown to the httpd error log.
  [skud #3278, #3358]
- Templated form headers/footers are now untainted automatically.
  [skud #3371]

* Fri May 03 2002 Kirrily Robert <skud@e-smith.com>
- [0.81-02]
- Added dependency for Text::Iconv

* Wed May 01 2002 Kirrily Robert <skud@e-smith.com>
- [0.81-01]
- Now fails more gracefully on XML errors, dumping the XML to a file in
  /tmp as a side effect
- You can now specify the default XML character set encoding as an
  argument to new() (defaults to undef).  In future versions this should
  be changed to work on a per-lexicon basis, but for now we will use this
  stopgap measure.
- Fixed a bug which was causing fallback_language not to work.

* Fri Apr 12 2002 Kirrily Robert <skud@e-smith.com>
- [0.80-01]
- langtags are now all smashed to lower case

* Thu Apr 04 2002 Kirrily Robert <skud@e-smith.com>
- [0.79-01]
- Updating to release 0.79.

* Thu Apr 04 2002 Kirrily Robert <skud@e-smith.com>
- [0.78-01]
- Updating to release 0.78.

* Wed Apr 03 2002 Kirrily Robert <skud@e-smith.com>
- [0.77-01]
- Updating to release 0.77.

* Wed Mar 20 2002 Kirrily Robert <skud@e-smith.com>
- [0.75-01]
- Updating to release 0.75.

* Wed Mar 14 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.70-02]
- Removed use for Locale::Maketext, pending new cvs tarball from
  SourceForge (which is down ATM)

* Wed Feb 20 2002 Adrian Chung <adrianc@e-smith.com>
- [0.70-01]
- Updating to release 0.70.

* Thu Feb 07 2002 Adrian Chung <adrianc@e-smith.com>
- [0.60-01]
- Updated to 0.60.

* Wed Jan 23 2002 Adrian Chung <adrianc@e-smith.com>
- [0.50-01]
- Updated to 0.50.

* Wed Dec 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.49-03]
- Updated with skud's tarball of the day

* Mon Dec 17 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.49-02]
- Added dependencies for the swag of modules required. These should 
  probably be listed in the CPAN module instead

* Mon Oct 01 2001 charlieb <charlieb@lamington>
- Spec file automatically generated by cpan2rpm
